跳转到主要内容
GET
/
v2
/
enterprise
/
api-keys
获取 Enterprise API key 的端点
curl --request GET \
  --url https://api.devin.ai/v2/enterprise/api-keys \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.devin.ai/v2/enterprise/api-keys"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.devin.ai/v2/enterprise/api-keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "has_more": true,
  "items": [
    {
      "created_at": "<string>",
      "id": "<string>",
      "is_service_key": true,
      "org_id": "<string>",
      "org_name": "<string>",
      "user_email": "<string>",
      "user_id": "<string>",
      "api_key_value": "<string>"
    }
  ],
  "limit": 123,
  "skip": 123,
  "total": 123,
  "next_cursor": 123
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}
需要 Enterprise 管理员的个人 API key。 返回 Enterprise 账户中各个组织的 API key 分页列表。

授权

Authorization
string
header
必填

仅供 Enterprise 管理员使用的个人 API Key(apk_user_*)

查询参数

page
integer
默认值:1
必填范围: x >= 1
per_page
integer
默认值:25
必填范围: 1 <= x <= 100
org_id
string | null

响应

成功的响应

has_more
boolean
必填
items
ApiKeyResponse · object[]
必填
limit
integer
必填
skip
integer
必填
total
integer
必填
next_cursor
integer | null